# __gnu_cxx::_Rope_self_destruct_ptr< _CharT, _Alloc > Struct Template Reference

List of all members.

## Detailed Description

### template<class _CharT, class _Alloc>
struct __gnu_cxx::_Rope_self_destruct_ptr< _CharT, _Alloc >

Definition at line 896 of file rope.

## Public Member Functions

- _Rope_self_destruct_ptr (_Rope_RopeRep< _CharT, _Alloc > *__p)
- _Rope_self_destruct_ptr ()
- _Rope_RopeRep< _CharT, _Alloc > & operator * ()
- operator _Rope_RopeRep ()
- _Rope_RopeRep< _CharT, _Alloc > * operator-> ()
- _Rope_self_destruct_ptr & operator= (_Rope_RopeRep< _CharT, _Alloc > *__x)
- ~_Rope_self_destruct_ptr ()

## Public Attributes

- _Rope_RopeRep< _CharT, _Alloc > * _M_ptr

The documentation for this struct was generated from the following file:

- rope